#!/bin/bash

version=2.0.2
ptex_src_ver=3.1.3
ptex_texmf_ver=2.1
platex_ver=209
xdvi_ver=22.15
mendex_ver=2.5
srcdir=$(pwd)

tar zxf ${srcdir}/tetex-src-${version}.tar.gz
( cd tetex-src-${version}
  mkdir -p texmf
  ( cd texmf; tar zxf ${srcdir}/tetex-texmf-${version}.tar.gz )
  
  ## for Japanese ptex
  ( cd texk/web2c; tar zxf ${srcdir}/ptex-src-${ptex_src_ver}.tar.gz )
  ( cd texmf;      tar zxf ${srcdir}/ptex-texmf-${ptex_texmf_ver}.tar.gz )
  ( cd texmf/ptex; tar zxf ${srcdir}/platex${platex_ver}.tar.gz )
  mv texk/kpathsea/texmf.in texk/kpathsea/texmf.in.vine-tetex-texmf.in
  cp -p ${srcdir}/vine-tetex-texmf.in texk/kpathsea/texmf.in
  patch -p0 -d texk/web2c < ${srcdir}/ptex-src-${ptex_src_ver}.mkconf # mkconf
  
  ## for Japanese dvipsk
  ( cd texk/dvipsk ; tar zxf ${srcdir}/dvipsk-jpatch-p1.6.tar.gz )
  patch -p1 -d texk/dvipsk < texk/dvipsk/dvipsk-5.92b-p1.6.patch
  patch -p1 -d texk/dvipsk < ${srcdir}/udvips-5.94a-p1.6.patch
  patch -p0 -d texmf/dvips/pstricks < texk/dvipsk/PSTricks.patch
  zcat ${srcdir}/dvipsk-vflib-1.1alpha-p1.5d-590a.patch.gz | patch -p1 -d texk/dvipsk 
  
  ## for udvipsk
  mkdir texk/udvipsk
  cp -a texk/dvipsk/* texk/udvipsk
  sed -e 's/^program = dvips/program = udvips/g' \
    -e 's/^distname = dvipsk/distname = udvipsk/g' \
    -e 's/$(program).i/dvips.i/g' \
    -e 's|^prog_cflags =|& -DUDVIPS|g' \
    < texk/dvipsk/Makefile.in > texk/udvipsk/Makefile.in

  ## for mendexk
  ( cd texk; tar zxf ${srcdir}/mendexk${mendex_ver}.tar.gz )
  ( cd texk; tar zxf ${srcdir}/mendexk2.5-tetex2.0.tar.gz )
  mv texk/mendexk${mendex_ver} texk/mendexk

  cp -p texk/configure texk/configure.udvipsk
  sed -e 's/  bibtex8 /  mendexk udvipsk&/g' \
    < texk/configure.udvipsk > texk/configure

  find -name .cvsignore -exec rm '{}' \;

  patch -p1 < ${srcdir}/teTeX-2.0.1-updmap.patch
  mkdir -p texmf/dvips/config/extmap
  cp -p ${srcdir}/vine-dvips-kanjifonts.map2 texmf/dvips/config/extmap/kanjifonts.map
  
  patch -p1 < ${srcdir}/tetex-2.0-updmap-otf.patch
  zcat ${srcdir}/tetex-src-2.0.2-omegaware.patch.gz | patch -p1

  patch -p1 < ${srcdir}/teTeX-1.0-protos.patch
  patch -p1 < ${srcdir}/teTeX-beta-20020530-tektronix.patch
  patch -p1 < ${srcdir}/teTeX-beta-20020530-gs550-nosubstfont.patch
  patch -p1 < ${srcdir}/teTeX-src-beta-20021025-fmtutil.patch
  patch -p0 < ${srcdir}/teTeX-texmf-2.0-no-lp-dvips.patch

  # for cygwin
  patch -p1 < ${srcdir}/tetex-2.0.2-13-cygwin.patch
  patch -p1 < ${srcdir}/tetex-2.0.2-13-additional-cygwin.patch
)

